Subject: Re: [mpls] Question regarding MPLS reserved label with ECMP

From: Lizhong Jin<[email-masked]>
Date: Mon, 20 Aug 2012 08:55:21 +0800

> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Sat, 18 Aug 2012 11:45:00 +0000
> From: "Vivek Kumar" <[email-masked]>
> To: "[email-masked]" <[email-masked]>
> Subject: [mpls] Question regarding MPLS reserved label with ECMP
> Message-ID:
> <[email-masked]>
> 
> Content-Type: text/plain; charset=us-ascii
> 
> Hi ,
>   I have one question regarding whether MPLS reserved label should 
> be used or skipped when Transit LSR is doing hashing on full label 
> stack which has some reserved label.
> 
>    RFC 6391 , section 7 , says " Note that, depending on the number 
> of labels hashed by the LSR, the
>    inclusion of the Router Alert label may cause the OAM packet to be
>    load-balanced to a different path from that taken by the data packets
>    with identical flow and PW labels".
> 
>   The above comment implies that reserved label is used by LSR when 
> doing hashing for ECMP. 
[Lizhong] Since inclusion will cause problem, I will interpret the above 
as an implication of hashing without reserved label.

Lizhong

> 
>   Is there any other RFC which states what should be the correct 
behavior. 
> 
>   The draft " draft-ietf-mpls-entropy-label-05" section 4.3 , says 
> reserved label should not be used by LSR when doing hashing on label 
stack.
> Regards,
> Vivek

---

From: "Vivek Kumar" <[email-masked]>
Date: Mon, 20 Aug 2012 03:48:44 +0000

Hi Lizhong,
  Thanks. I think that states what should be correct behavior .

Regards,
Vivek

From: Lizhong Jin [mailto:[email-masked]]
Sent: Monday, August 20, 2012 6:25 AM
To: Vivek Kumar
Cc: [email-masked]
Subject: Re: [mpls] Question regarding MPLS reserved label with ECMP

[Lizhong] Since inclusion will cause problem, I will interpret the above as an implication of hashing without reserved label.

Lizhong

>
>   Is there any other RFC which states what should be the correct behavior.
>
> reserved label should not be used by LSR when doing hashing on label stack.
>
>
> Regards,
> Vivek
>